## Apache Zeta Components Manual :: Docs For Class ezcTreeVisitorGraphViz

### Tree::ezcTreeVisitorGraphViz

### Class ezcTreeVisitorGraphViz

An implementation of the ezcTreeVisitor interface that generates GraphViz/dot markup for a tree structure.

1. <?php
2. $visitor=new ezcTreeVisitorGraphViz ;
3. $tree->accept($visitor);
4. echo (string)$visitor;// print the plot
5. ?>

Source for this file: /Tree/src/visitors/graphviz.php

### Implements interfaces:

- ezcTreeVisitor

Version: | //autogentag//

### Member Variables

protected array(id=>array(ezcTreeNode)) | `$edges = array()` Holds all the edges of the graph.
protected array(string=>string) | `$nodes = array()` Holds the displayed strings for each of the nodes.

### Method Summary

public bool | `visit( $visitable )` Visits the node and sets the the member variables according to the node type and contents.

### Methods

#### visit

bool visit( ezcTreeVisitable $visitable )

Visits the node and sets the the member variables according to the node type and contents.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$visitable` | ezcTreeVisitable |

##### Implementation of:

Method | Description
--- | ---
`ezcTreeVisitor::visit()` | Visit the $visitable.

Documentation generated by phpDocumentor 1.4.3